Package wx :: Package lib :: Package ogl :: Class ShapeEvtHandler

[frames | no frames]

## Type ShapeEvtHandler

    object --+
             |
            ShapeEvtHandler

Known Subclasses:
  `Shape`

Method Summary
| `__init__(self, prev, shape)`
| `GetPreviousHandler(self)`
| `GetShape(self)`
| `OnBeginDragLeft(self, x, y, keys, attachment)`
| `OnBeginDragRight(self, x, y, keys, attachment)`
| `OnBeginSize(self, w, h)`
| `OnChangeAttachment(self, attachment, line, ordering)`
| `OnDelete(self)`
| `OnDragLeft(self, draw, x, y, keys, attachment)`
| `OnDragRight(self, draw, x, y, keys, attachment)`
| `OnDraw(self, dc)`
| `OnDrawBranches(self, dc, erase)`
| `OnDrawContents(self, dc)`
| `OnDrawControlPoints(self, dc)`
| `OnDrawOutline(self, dc, x, y, w, h)`
| `OnEndDragLeft(self, x, y, keys, attachment)`
| `OnEndDragRight(self, x, y, keys, attachment)`
| `OnEndSize(self, w, h)`
| `OnErase(self, dc)`
| `OnEraseContents(self, dc)`
| `OnEraseControlPoints(self, dc)`
| `OnHighlight(self, dc)`
| `OnLeftClick(self, x, y, keys, attachment)`
| `OnLeftDoubleClick(self, x, y, keys, attachment)`
| `OnMoveLink(self, dc, moveControlPoints)`
| `OnMoveLinks(self, dc)`
| `OnMovePost(self, dc, x, y, old_x, old_y, display)`
| `OnMovePre(self, dc, x, y, old_x, old_y, display)`
| `OnRightClick(self, x, y, keys, attachment)`
| `OnSize(self, x, y)`
| `OnSizingBeginDragLeft(self, pt, x, y, keys, attachment)`
| `OnSizingDragLeft(self, pt, draw, x, y, keys, attachment)`
| `OnSizingEndDragLeft(self, pt, x, y, keys, attachment)`
| `SetPreviousHandler(self, handler)`
| `SetShape(self, sh)`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:17 2007 | http://epydoc.sf.net